/**
  Front Page CSS
*/

.front-page {
  background-image: url('../images/bg.jpg');
  background-repeat: repeat;
  background-size: contain;
}
@supports (background-image: url('../images/bg.webp')) {
  .front-page {
    background-image: url('../images/bg.webp');
  }
}

.main-visual {
  background-image: url('../images/mv.jpg');
  background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
  background-color: #000;
  aspect-ratio: 10/11;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
@supports (background-image: url('../images/mv.webp')) {
  .main-visual {
    background-image: url('../images/mv.webp');
  }
}

.main-visual::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: calc(100% - var(--header-height));
  background-color: rgba(0,0,0,0.4);
}

.main-visual-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 16px;
  width: calc(100% - 48px);
  position: relative;
  z-index: 1;
}

.site-catch {
  font-size: 20px;
  font-weight: 700;
  text-align: center;
  background-color: #FFE76C;
  color: #000;
  width: 218px;
  height: 30px;
  border-radius: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.site-name {
  max-width: 602px;
}

.site-description {
  font-size: 17px;
  font-weight: 700;
  line-height: 1.6;
  color: #fff;
}

.site-description p {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.site-description span {
  white-space: nowrap;
}

.site-description p span.highlight {
  color: #FFE76C;
}

@media screen and (min-width: 768px) {
  .main-visual {
    width: 100%;
    height: 600px;
    aspect-ratio: unset;
  }
  .site-catch {
    width: 355px;
    height: 48px;
    border-radius: 24px;
    font-size: 28px;
  }
  .site-description {
    font-size: 20px;
  }
}

.proposal {
  padding: 48px 0 0;
}

.proposal-title {
  font-size: 22px;
  font-weight: 500;
  line-height: 1.36;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 12px;
}

.proposal-title span {
  white-space: nowrap;
}

.proposal-content {
  background-color: #d9d9d9;
  padding: 24px var(--inline-padding-base);
  border-radius: 12px;
}

.proposal-list {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 12px;
}

.proposal-list-item {
  display: flex;
  align-items: center;
  background-color: #fff;
  padding: var(--inline-padding-base) var(--inline-padding-base);
  border-radius: 12px;
  position: relative;
}

.proposal-list-item::before {
  content: '';
  position: absolute;
  top: -8px;
  left: 12px;
  width: 25px;
  height: 21px;
  background-image: url('../images/quote.svg');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.proposal-list-item-title {
  font-size: 16px;
  font-weight: 500;
  line-height: 1.375;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.proposal-list-item-title span {
  white-space: nowrap;
}

.proposal-list-item-title .bold{
  font-weight: 700;
}

.proposal-description {
  font-size: 14px;
  font-weight: 500;
  line-height: 1.36;
  letter-spacing: 0.05em;
}

@media screen and (min-width: 768px) {
  .proposal {
    padding: 64px 0 0;
  }
  .proposal-title {
    font-size: 30px;
  }
  .proposal-content {
    padding: 48px 48px;
  }

  .proposal-list {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px 16px;
    margin-bottom: 24px;
  }

  .proposal-list-item {
    width: calc((100% - 16px) / 2);
    padding: 40px 48px;
  }

  .proposal-list-item::before {
    width: 42px;
    height: 36px;
    top: -12px;
    left: 20px;
  }

  .proposal-list-item-title {
    font-size: 20px;
  }

  .proposal-list-item-title span {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .proposal-description {
    font-size: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
}

@media screen and (min-width: 960px) {
  .proposal-title {
    flex-direction: row;
    justify-content: center;
  }
}

@media screen and (min-width: 1080px) {
  .proposal-list {
    gap: 12px;
  }
  .proposal-list-item {
    width: calc((100% - 36px) / 4);
  }
}

.section {
  padding: var(--section-padding);
}

.section.column {
  padding-bottom: 24px;
}

.section-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-bottom: var(--margin-bottom-base);
}

.section-label {
  font-family: 'Poppins', sans-serif;
  font-size: 44px;
  font-weight: 700;
  line-height: 1.0;
  letter-spacing: 0.05em;
}

.section-title {
  font-size: 20px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.05em;
}

@media screen and (min-width: 768px) {
  .section-label {
    font-size: 56px;
  }
}

.feature-list {
  display: flex;
  flex-direction: column;
  gap: 32px;
  padding-top: 32px;
}

.feature-list-item {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 80px 24px 24px;
  background-color: #000;
  border-radius: 12px;
  position: relative;
}

.feature-list-item::before {
  content: '';
  position: absolute;
  top: -20px;
  left: calc(50% - 44px);
  width: 88px;
  height: 88px;
  background-size: 55px;
  background-repeat: no-repeat;
  background-position: center;
  background-color: #fff;
  border-radius: 50%;
  border: 4px solid #000;
}

.feature-list-item.feature1::before {
  background-image: url('../images/icons/feature1.png');
}

.feature-list-item.feature2::before {
  background-image: url('../images/icons/feature2.png');
}

.feature-list-item.feature3::before {
  background-image: url('../images/icons/feature3.png');
}

.feature-list-item-title {
  font-size: 18px;
  font-weight: 500;
  line-height: 1.4;
  color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
}

.feature-list-item-title span {
  white-space: nowrap;
}

.feature-list-item-title .highlight {
  color: #FFE76C;
}

.feature-list-item-description {
  font-size: 12px;
  font-weight: 500;
  line-height: 1.7;
  color: #fff;
}
@media screen and (min-width: 440px) {
  .feature-list-item-description {
    font-size: 14px;
  }
}

@media screen and (min-width: 768px) {
  .feature-list {
    flex-direction: row;
    gap: 16px;
  }
  .feature-list-item {
    width: calc((100% - 32px) / 3);
    padding: 80px 32px 48px;
  }
  .feature-list-item-title {
    font-size: 20px;
    height: 2.8em;
  }
  .feature-list-item-description {
    font-size: 14px;
  }
}

@media screen and (min-width: 960px) {
  .feature-list {
    gap: 24px;
  }
  .feature-list-item {
    width: calc((100% - 48px) / 3);
    padding: 120px 32px 64px;
    gap: 20px;
  }
  .feature-list-item::before {
    width: 120px;
    height: 120px;
    background-size: 65px;
    top: -24px;
    left: calc(50% - 60px);
  }
  .feature-list-item-title {
    font-size: 26px;
  }
  .feature-list-item-description {
    font-size: 16px;
  }
}

@media screen and (min-width: 1080px) {
  .feature-list {
    padding-left: 48px;
    padding-right: 48px;
  }
}

.flow {
  background-image: url('../images/img_flow.jpg');
  background-size: cover;
  background-position: top center;
  background-repeat: no-repeat;
  position: relative;
}
@supports (background-image: url('../images/img_flow.webp')) {
  .flow {
    background-image: url('../images/img_flow.webp');
  }
}
.flow::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.2);
}
.flow .section-inner {
  position: relative;
  z-index: 1;
  padding: 0;
}

.flow .section-header {
  color: #fff;
}

.flow-list {
  display: flex;
  flex-direction: column;
  gap: 12px;
  padding: 0 64px;
  max-width: 528px;
  margin: 0 auto;
}

.flow-list-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  background-color: #fff;
  padding: var(--inline-padding-base);
  border-radius: 12px;
}

.flow-list-item-number {
  display: block;
  text-align: center;
  font-size: 22px;
  font-weight: 500;
  line-height: 1.2;
  border-bottom: 1px solid #000;
  padding-bottom: 4px;
}

.flow-list-item-number::before {
  content: 'STEP';
  display: block;
}

.flow-list-item-title {
  font-size: 18px;
  font-weight: 500;
  white-space: nowrap;
}

.flow-list-item-description {
  font-size: 12px;
  font-weight: 500;
}

.flow-list-item-description span {
  white-space: nowrap;
}

.flow-list-item-icon {
  width: 40px;
  height: 40px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.flow-list-item-icon.step1 {
  background-image: url('../images/icons/step1.png');
}
.flow-list-item-icon.step2 {
  background-image: url('../images/icons/step2.png');
}
.flow-list-item-icon.step3 {
  background-image: url('../images/icons/step3.png');
}
.flow-list-item-icon.step4 {
  background-image: url('../images/icons/step4.png');
}
.flow-list-item-icon.step5 {
  background-image: url('../images/icons/step5.png');
}

@media screen and (max-width: 389px) {
  .flow-list {
    padding: 0 32px;
  }
}

@media screen and (min-width: 768px) {
  .flow-list {
    padding: 0 var(--inline-padding-base);
    max-width: unset;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    gap: 16px;
  }
  .flow-list-item {
    width: calc((100% - 32px) / 3);
    padding: 32px var(--inline-padding-base);
    gap: 16px;
  }
  .flow-list-item-number {
    font-size: 26px;
  }
  .flow-list-item-title {
    font-size: 21px;
  }
  .flow-list-item-description {
    font-size: 14px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .flow-list-item-icon {
    width: 50px;
    height: 50px;
  }
}

@media screen and (min-width: 960px) {
  .flow-list {
    padding: 0;
    gap: 16px;
  }
  .flow-list-item {
    width: calc((100% - 64px) / 5);
  }
}
@media screen and (min-width: 1080px) {
  .flow-list-item-number {
    font-size: 30px;
  }
  .flow-list-item-title {
    font-size: 24px;
  }
  .flow-list-item-description {
    font-size: 16px;
  }
}


.faq-list {
  display: flex;
  flex-direction: column;
  border-top: 2px solid #000;
}

.faq-list-item {
  padding: var(--inline-padding-base) 0;
  border-bottom: 1px solid #b1b1b1;
}

.faq-list-item .question {
  font-size: 16px;
  font-weight: 700;
  line-height: 1.2;
  margin-bottom: 8px;
  display: flex;
  align-items: center;
  gap: 8px;
}

.faq-list-item .question::before {
  content: 'Q';
  display: block;
  text-align: center;
  width: 32px;
  height: 32px;
  background-color: #000;
  color: #fff;
  font-family: 'Poppins', sans-serif;
  font-size: 20px;
  font-weight: 500;
  line-height: 32px;
}

.faq-list-item .answer {
  font-size: 14px;
  font-weight: 500;
  line-height: 1.6;
  padding-left: 40px;
}

@media screen and (min-width: 768px) {
  .faq-list-item .question {
    font-size: 18px;
    gap: 12px;
  }
  .faq-list-item .answer {
    font-size: 16px;
    padding-left: 44px;
  }
}
